package com.mdd.admin.vo.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("政策协议设置对象Vo")
public class SettingProtocolObjectVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("协议名称")
   private String name;
   @ApiModelProperty("协议内容")
   private String content;

   public String getName() {
      return this.name;
   }

   public String getContent() {
      return this.content;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setContent(String content) {
      this.content = content;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingProtocolObjectVo)) {
         return false;
      } else {
         SettingProtocolObjectVo other = (SettingProtocolObjectVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            Object this$content = this.getContent();
            Object other$content = other.getContent();
            if (this$content == null) {
               if (other$content != null) {
                  return false;
               }
            } else if (!this$content.equals(other$content)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingProtocolObjectVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $content = this.getContent();
      result = result * 59 + ($content == null ? 43 : $content.hashCode());
      return result;
   }

   public String toString() {
      return "SettingProtocolObjectVo(name=" + this.getName() + ", content=" + this.getContent() + ")";
   }
}
